Package: groovy.lang

## [Java] Class ExpandoMetaClass.ExpandoMetaProperty

- groovy.lang.ExpandoMetaClass.ExpandoMetaProperty

-     protected class ExpandoMetaClass.ExpandoMetaProperty
      extends GroovyObjectSupport

  Instances of this class are returned when using the `<<` left shift operator.

  Example:

  metaClass.myMethod `<<` { String args `->` }

  This allows callbacks to the ExpandoMetaClass for registering appending methods

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected boolean` | `isStatic` |
    `protected String` | `propertyName` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `protected ExpandoMetaProperty(String name)`
    `protected ExpandoMetaProperty(String name, boolean isStatic)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `getProperty(String property)`
    `` | `public String` | `getPropertyName()`
    `` | `public boolean` | `isStatic()`
    `` | `public Object` | `leftShift(Object arg)`
    `` | `public void` | `setProperty(String property, Object newValue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyObjectSupport` | `getMetaClass, setMetaClass`

- - ### Field Detail

    - #### protected boolean isStatic

    - #### protected String propertyName

  - ### Constructor Detail

    - #### protected ExpandoMetaProperty(String name)

    - #### protected ExpandoMetaProperty(String name, boolean isStatic)

  - ### Method Detail

    - #### @Override
      public Object getProperty(String property)

    - #### public String getPropertyName()

    - #### public boolean isStatic()

    - #### public Object leftShift(Object arg)

    - #### @Override
      public void setProperty(String property, Object newValue)